Name:          gmetric4j
Version:       1.0.10
Release:       %mkrel 5
Group:         Development/Java
Summary:       JVM instrumentation to Ganglia
License:       BSD
URL:           https://github.com/ganglia/gmetric4j
Source0:       https://github.com/ganglia/gmetric4j/archive/%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.acplt.remotetea:remotetea-oncrpc)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

BuildArch:     noarch

%description
Gmetric4j is a 100% java, configurable Ganglia agent that
periodically polls arbitrary attributes and reports their
values to Ganglia.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find . -name "*.class" -delete
find . -name "*.jar" -type f -delete

# disable javadoc jar
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-javadoc-plugin']/pom:executions"
%pom_xpath_inject "pom:plugin[pom:artifactId ='maven-javadoc-plugin']" '
 <configuration>
   <doctitle>Gmetric4j ${project.version} API</doctitle>
   <windowtitle>Gmetric4j ${project.version} API</windowtitle>
</configuration>'
# disable source jar
%pom_remove_plugin :maven-source-plugin

sed -i '/Class-Path/d' src/main/resources/META-INF/MANIFEST.MF

rm -r src/test/java/info/ganglia/gmetric4j/gmetric/GMetricIT.java

%mvn_file : %{name}

%build

%mvn_build

%install
%mvn_install

install -m 644 target/%{name}-%{version}-tests.jar \
  %{buildroot}%{_javadir}/%{name}-tests.jar

%files -f .mfiles
%{_javadir}/%{name}-tests.jar
%doc README
%license COPYING

%files javadoc -f .mfiles-javadoc
%license COPYING



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.0.10-5.mga6
+ Revision: 981855
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.10-4.mga6
+ Revision: 976250
- First rebuild of the java stack
- sync package gmetric4j with fedora
- imported package gmetric4j

* Tue Dec 30 2014 daviddavid <daviddavid> 1.0.3-5.mga5
+ Revision: 807157
- rebuild for new sonatype-oss-parent

* Sun Dec 28 2014 dmorgan <dmorgan> 1.0.3-4.mga5
+ Revision: 806915
- imported package gmetric4j


* Sat Aug 03 2013 gil cattaneo <puntogil@libero.it> 1.0.3-1
- initial rpm
